mia::CIndepCompAnalysisFactory Class Referenceabstract

`#include <mia/core/ica.hh>`

Inheritance diagram for mia::CIndepCompAnalysisFactory:
[legend]
Collaboration diagram for mia::CIndepCompAnalysisFactory:
[legend]

## Public Types

typedef CIndepCompAnalysisFactory | plugin_data
typedef CIndepCompAnalysisFactory | plugin_type
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

| CIndepCompAnalysisFactory ()
CIndepCompAnalysis * | create () const __attribute__((warn_unused_result))
void | set_deterministic_seed (int seed)
virtual | ~CIndepCompAnalysisFactory ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Static Public Attributes

static const char * | data_descr
static const char * | type_descr

## Detailed Description

Definition at line 161 of file core/ica.hh.

## Member Typedef Documentation

## plugin_data

typedef CIndepCompAnalysisFactory mia::CIndepCompAnalysisFactory::plugin_data

Definition at line 168 of file core/ica.hh.

## plugin_type

typedef CIndepCompAnalysisFactory mia::CIndepCompAnalysisFactory::plugin_type

Definition at line 167 of file core/ica.hh.

## Constructor & Destructor Documentation

## CIndepCompAnalysisFactory()

mia::CIndepCompAnalysisFactory::CIndepCompAnalysisFactory | ( |  | ) |

## ~CIndepCompAnalysisFactory()

virtual mia::CIndepCompAnalysisFactory::~CIndepCompAnalysisFactory | ( |  | ) |

virtual

## Member Function Documentation

## create()

CIndepCompAnalysis * mia::CIndepCompAnalysisFactory::create | ( |  | ) | const

## set_deterministic_seed()

void mia::CIndepCompAnalysisFactory::set_deterministic_seed | ( | int | seed | ) |

## Field Documentation

## data_descr

const char* mia::CIndepCompAnalysisFactory::data_descr

static

Definition at line 164 of file core/ica.hh.

## type_descr

const char* mia::CIndepCompAnalysisFactory::type_descr

static

Definition at line 165 of file core/ica.hh.

The documentation for this class was generated from the following file:

- core/ica.hh